Subject: Re: What's cooking in git.git (Dec 2022, #01; Thu, 1)

From: Victoria Dye <[email-masked]>
Date: Fri, 2 Dec 2022 12:11:16 -0800

Rubén Justo wrote:
> On 01-dic-2022 21:23:40, Junio C Hamano wrote:
>> * rj/branch-copy-and-rename (2022-11-17) 2 commits
>>  - branch: clear target branch configuration before copying or renaming
>>  - branch: force-copy a branch to itself via @{-1} is a no-op
>> 
>>  Fix a pair of bugs in 'git branch'.
>>  
>>  Waiting for review discussion to settle.
>>  source: <[email-masked]>
>> 
>                                                                                                                                                                                                     
> We can drop the first commit (branch: clear target branch configuration
> before copying or renaming) as it needs a better approach.  But we can
> keep the other (branch: force-copy a branch to itself via @{-1} is a
> no-op), there were no complaints about it, I think.

Agreed. I think "branch: clear target branch configuration before copying or
renaming" is probably worth revisiting at some point, but "branch:
force-copy a branch to itself via @{-1} is a no-op" looks fine to be as-is.

Thanks!

> Un saludo.
> Rubén.     

P.S. I think there may be something strange about your email editor. For
some reason, every line is padded out with spaces to 200 characters. Not a
big deal, but your replies might render with unexpected line spacing in some
email clients.